#  Module.mk - Makefile for the Psion conversion utilities
#  Copyright (c) 1999  Frodo Looijaard <frodol@dds.nl>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Note that MODULE_DIR (the directory in which this file resides) is a
# 'simply expanded variable'. That means that its value is substituted
# verbatim in the rules, until it is redefined. 
MODULE_DIR := formats

FORMATSPSIONDIR := formats/psion

# Regrettably, even 'simply expanded variables' will not put their currently
# defined value verbatim into the command-list of rules...
FORMATSSOURCES := $(FORMATSPSIONDIR)/Application_ID_Section.psi \
                  $(FORMATSPSIONDIR)/ASCII_Codes.psi \
                  $(FORMATSPSIONDIR)/Basic_Elements.psi \
                  $(FORMATSPSIONDIR)/Basic_Structures.psi \
                  $(FORMATSPSIONDIR)/Fonts.psi \
                  $(FORMATSPSIONDIR)/Header_Section.psi \
                  $(FORMATSPSIONDIR)/Identifiers.psi \
                  $(FORMATSPSIONDIR)/Index.psi \
                  $(FORMATSPSIONDIR)/Introduction.psi \
                  $(FORMATSPSIONDIR)/Layout_Codes.psi \
                  $(FORMATSPSIONDIR)/Page_Layout_Section.psi \
                  $(FORMATSPSIONDIR)/Password_Section.psi \
                  $(FORMATSPSIONDIR)/Section_Table_Section.psi \
                  $(FORMATSPSIONDIR)/Substitutions.psi \
                  $(FORMATSPSIONDIR)/Text_Layout_Section.psi \
                  $(FORMATSPSIONDIR)/Text_Section.psi \
                  $(FORMATSPSIONDIR)/Word_File.psi \
                  $(FORMATSPSIONDIR)/Word_Status_Section.psi \
                  $(FORMATSPSIONDIR)/Word_Styles_Section.psi 

all-formats: 
all :: all-formats

clean-formats:
clean :: clean-formats
